### Function

# GObject type_name

since: 2.0

#### Declaration

    const gchar*
    g_type_name (
      GType type
    )

#### Description

Get the unique name that is assigned to a type ID. Note that this function (like all other GType API) cannot cope with invalid type IDs. `G_TYPE_INVALID` may be passed to this function, as may be any other validly registered type ID, but randomized type IDs should not be passed in and will most likely lead to a crash.

Available since: 2.0

#### Parameters

`type`

  Type: `GType`

  Type to return name for.

#### Return value

Type: `const gchar*`

Static type name or `NULL`.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.